Loading...
Searching...
No Matches
BALL::SimpleExperiment1D Class Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » NMR spectra and related classes

`#include <BALL/NMR/experiment.h>`

Inheritance diagram for BALL::SimpleExperiment1D:

## Public Member Functions

Constructors and destructors
| SimpleExperiment1D ()
| Default constructor.
| SimpleExperiment1D (const SimpleExperiment1D &experiment)
| Copy constructor.
virtual | ~SimpleExperiment1D ()
| Destructor.
Processor related methods
virtual bool | start ()
virtual Processor::Result | operator() (Composite &composite)
Public Member Functions inherited from BALL::Experiment< PeakList1D >
| Experiment ()
| Experiment (const Experiment &experiment)
virtual | ~Experiment ()
const PeakList1D & | getPeakList () const
const PeakType & | getDefaultPeak () const
void | setDefaultPeak (const PeakType &peak)
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
virtual void | clear ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
virtual void | init ()
virtual bool | finish ()
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Accessors

Expression | expression_
void | setExpression (const String &expression)
const Expression & | getExpression () const

## Additional Inherited Members

Public Types inherited from BALL::Experiment< PeakList1D >
typedef PeakList1D::PeakType | PeakType
| The peak type.
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT
PeakList1D | peak_list_
PeakType | default_peak_
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

Simple 1D NMR experiment class. This experiment extracts all atoms with an assigned shift value, which match a given kernel expression. The default expression is "true()", so by default all atoms with an assigned shift value are added to the peak list. The default peak intensity and width are user-defined ( setDefaultPeak ).

Definition at line 157 of file experiment.h.

## Constructor & Destructor Documentation

## SimpleExperiment1D() [1/2]

BALL::SimpleExperiment1D::SimpleExperiment1D | ( |  | ) |

Default constructor.

## SimpleExperiment1D() [2/2]

BALL::SimpleExperiment1D::SimpleExperiment1D | ( | const SimpleExperiment1D & | experiment | ) |

Copy constructor.

## ~SimpleExperiment1D()

virtual BALL::SimpleExperiment1D::~SimpleExperiment1D | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getExpression()

const Expression & BALL::SimpleExperiment1D::getExpression | ( |  | ) | const

## operator()()

virtual Processor::Result BALL::SimpleExperiment1D::operator() | ( | Composite & | composite | ) |

virtual

Processor application operator. This operator creates a new peak in the peak list for every atom it encounters that possesses shift data and matches the expression set with setExpression . The default is an empty expression, which matches all atoms. Each peak in the peak list is assigned the intensity and width
defined using setDefaultPeak (defaults to zero).

Reimplemented from BALL::UnaryProcessor< Composite >.

## setExpression()

void BALL::SimpleExperiment1D::setExpression | ( | const String & | expression | ) |

## start()

virtual bool BALL::SimpleExperiment1D::start | ( |  | ) |

virtual

Initialize the experiment. This method simply clears the internal peak list.

Returns
  always true

Reimplemented from BALL::ShiftModule.

## Member Data Documentation

## expression_

Expression BALL::SimpleExperiment1D::expression_

protected

Definition at line 209 of file experiment.h.